﻿Imports GrapeCity.ActiveReports.Web.Controls
Imports GrapeCity.ActiveReports.Web

Public Class WebForm1
    Inherits System.Web.UI.Page

    Private Sub ExportToPDF()
        'Exporting the Report TO PDF

        Dim m_stream As New System.IO.MemoryStream()
        Dim pdfExport1 As New GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport()
        Dim _ExportReport As New GrapeCity.ActiveReports.SectionReport()
        _ExportReport.Document.Load(Server.MapPath("Employee Sales.rdf"))
        pdfExport1.Export(_ExportReport.Document, m_stream)
        m_stream.Position = 0
        Response.ContentType = "application/pdf"
        Response.AddHeader("content-disposition", "attachment;filename=MyExport.pdf")
        Response.BinaryWrite(m_stream.ToArray())
        Response.[End]()

    End Sub

    Private Function AddCustomButton(ButtonName As String, ButtonCaption As [String], ButtonToolTip As [String], URLpath As String) As ToolButton
        'Function to Add a Custom Button
        Dim customButton As ToolButton = Tool.CreateButton(ButtonName)
        customButton.Caption = ButtonCaption
        customButton.ToolTip = ButtonToolTip
        If URLpath <> "" Then
            customButton.ClickNavigateTo = URLpath
        End If
        Return customButton
    End Function

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Request.QueryString("Export") = "PDF" Then
            'This checks the query string passed and performs exporting on the Server Side
            ExportToPDF()
        End If

        Dim _rpt As New GrapeCity.ActiveReports.SectionReport()
        _rpt.Document.Load(Server.MapPath("Employee Sales.rdf"))
        WebViewer1.FlashViewerToolBar.Tools.Insert(21, AddCustomButton("CustomButton", "SampleButton", "CustomButton", ""))
        WebViewer1.FlashViewerToolBar.Tools.Insert(22, AddCustomButton("PDFEXPORT", "Export To PDF", "PDF EXPORT", "WebForm1.aspx?Export=PDF"))
        'Passed a query string
        WebViewer1.Report = _rpt
    End Sub

End Class